> ## Documentation Index
> Fetch the complete documentation index at: https://docs.badtogoodemails.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify

> Verifies a B2B email address and returns corrected alternatives if the provided email is invalid.



## OpenAPI

````yaml GET /api/v1/verify
openapi: 3.0.1
info:
  title: Bad To Good Emails API
  description: "Bad To Good Emails is the leader in correcting your B2B leads. \r\n\r\nThe API key is located in your account on Bad To Good Emails at [app.badtogoodemails.com](https://app.badtogoodemails.com) under API Management → API Keys."
  version: v1
servers: []
security: []
paths:
  /api/v1/verify:
    get:
      tags:
        - verify
      summary: Verify and correct an email address
      description: >-
        Verifies a B2B email address and returns corrected alternatives if the
        provided email is invalid.
      parameters:
        - name: email
          in: query
          description: The email address to verify
          schema:
            type: string
        - name: apiKey
          in: query
          description: Your API key (alternative to X-API-Key header)
          schema:
            type: string
        - name: X-API-Key
          in: header
          description: Your API key (alternative to apiKey query param)
          schema:
            type: string
        - name: firstName
          in: query
          description: Contact's first name — improves correction accuracy
          schema:
            type: string
        - name: lastName
          in: query
          description: Contact's last name — improves correction accuracy
          schema:
            type: string
        - name: linkedInProfileUrl
          in: query
          description: LinkedIn profile URL — improves correction accuracy
          schema:
            type: string
        - name: domain
          in: query
          description: >-
            Known company domain — used to discover business email if personal
            email is provided
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/VerificationResult'
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationResult'
            text/json:
              schema:
                $ref: '#/components/schemas/VerificationResult'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Too Many Requests
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    VerificationResult:
      type: object
      properties:
        email:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        sub_status:
          type: string
          nullable: true
        corrected_emails:
          type: array
          items:
            $ref: '#/components/schemas/EmailSuggestion'
          nullable: true
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        error_code:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    EmailSuggestion:
      type: object
      properties:
        email:
          type: string
          nullable: true
        confidence:
          type: string
          nullable: true
      additionalProperties: false

````